Redmine.pm possible wrong HTTP responce

2010-07-28 16:37 - Georgi Markov

Status: New Start date: 2010-07-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

The Redmine of mine;) is r3832. SVN (WebDAV) user authentication via Redmine.pm in mixed user authentication mode - MySQL

for some & LDAP for others.

When a user authenticates himself for a commit and has no (Redmine) right to do that, the HTTP response is 401 (auth_required).

It's somehow confusing as the user may think she simply mistyped her password. We use TortoiseSVN and the login window is just

cleared. The problem was reproduced for both DB and LDAP authenticated users. I'm not a perl hacker, but simply swapping lines

202 & 226 in Redmine.pm did the trick for me:

  return FORBIDDEN;

...

  return AUTH_REQUIRED;

I certainly cannot be positive that it does not break something else..    

Anyway: grat job guys!

History

#1 - 2010-07-28 22:34 - Ве Fio

Wow, that explains A LOT. This has happened to me MANY times, and it does appear you entered the wrong credentials, so you keep entering them

and it's never accepted, it's pretty annoying. I also think that something weird happens if you try to do something like:

svn ls http://svn.domain.com/

Where svn.domain.com has a public root of /home/svn and projects are in subdirectories, e.g. /home/svn/project1

The same command,

svn ls http://svn.domain.com/project1

works fine for reading and committing, but not on the public root pointed at /home/svn

#2 - 2011-03-24 09:00 - Toshi MARUYAMA

- Category set to SCM extra
